<!DOCTYPE html>
<html lang="en">
    <head>
        {% include 'links.html' %}
        <link rel="stylesheet" href="{% static 'css/edit_page.css' %}">
        <title>The Circle - Editar Perfil</title>
    </head>
    <body>
        {% include 'navigationbar/search_results.html' %}
        <div class="modal-dialog text-center">
            <div class="col-sm-8 main-section">
                <div class="modal-content">
                    <form class="col-12" method="POST" enctype="multipart/form-data">
                        {% csrf_token %}
                        
                        {% for field in profile_form %}

                            {% if 'image' in field.label_tag %}
                                <div class="file-input">
                                    {{ field }}	
                                    <span class="input-value">Selecione uma imagem...</span>		
                                </div>
                            {% elif 'Per' in field.label_tag %}
                                <div class="form-group">
                                    {{ field.label_tag }}  {{ field }}			
                                </div>
                            {% else %}
                                <div class="form-group">
                                    {{ field }}			
                                </div>
                            {% endif %}

                            
                            <div>
                                <dl class="errorlist">
                                    {% for error in field.errors %}
                                        <li>{{ error }}</li>
                                    {% endfor %}
                                </dl>
                            </div>
                        {% endfor %}

                        {% for field in password_form %}
                            <div class="form-group">
                                {{ field }}			
                            </div>
                            <div>
                                <dl class="errorlist">
                                    {% for error in field.errors %}
                                        <li>{{ error }}</li>
                                    {% endfor %}
                                </dl>
                            </div>
                        {% endfor %}
                        
                        <button class="btn edit-btn" type="submit" formnovalidate>Salvar Alterações</button>
                        <a class="btn btn-dark edit-btn" href="/home/" role="button">Sair sem salvar</a>
                    </form>
                </div>
            </div>
        </div>
        {% include './navigationbar/navigation_bar.html' %}

        <script type="text/javascript">
            $(function(){
                $('.file-input > input').on('change',function(){
                    
                    var inputValue = $(this).val(). split('\\')[2];

                    $('.input-value').html(inputValue);
                });
            });

            document.getElementById("id_old_password").placeholder = "Senha Antiga";
            document.getElementById("id_new_password1").placeholder = "Nova Senha";
            document.getElementById("id_new_password2").placeholder = "Confirmar Nova Senha";
            var child = document.getElementById("id_password").parentNode;
            child.parentNode.removeChild(child);
        </script>
    </body>
</html>
